//////////////////////////////////////////////////////////////////
// Function file for Armed Assault
// Created by: -eutf-Myke
//////////////////////////////////////////////////////////////////


_vehicle = _this select 0;
_engineer = _this select 1;
_action_id = _this select 2;
_cargo = objnull;
_allowed_to = ["SoldierWMiner", "SoldierEMiner", "SoldierGMiner"];
_heavy_static = ["D30", "M119"];
_light_static = ["M2StaticMG", "DSHKM", "AGS", "SearchLight"];
_loading_allowed = false;
_check_engineer = typeof _engineer;
if (! (_check_engineer in _allowed_to)) exitwith {hint "Only engineers can load static weapons"};
_cargo = nearestobject [_vehicle, "StaticWeapon"];
if (isnull _cargo) exitwith {hint "No static weapon in range."};
_cargo_type = typeof _cargo;
if (_cargo distance _vehicle > 10) exitwith {hint format ["You're too far from %1!", _cargo_type]};
if (_cargo_type in _heavy_static) then
	{
	if (_vehicle iskindof "Truck") then
		{
		_loading_allowed = true;
		}
	else
		{
		_loading_allowed = false;
		};
	}
else
	{
	_loading_allowed = true;
	};

if (_loading_allowed) then
	{
	for [{_i=10}, {_i != 0}, {_i=_i-1}] do
		{
		hint format ["%1 will be loaded in %2 sec.", _cargo_type, _i];
		sleep 1;
		};
	_vehicle removeaction _action_id;
	_vehicle addaction ["Unload static", "unload_static.sqf", _cargo_type];
	deletevehicle _cargo;
	hint format ["%1 loaded and attached!", _cargo_type];
	}
else
	{
	hint format ["You can't load a %1 into a %2!", _cargo_type, typeof _vehicle];
	};